This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1265725 - The /rest/query/task operation is returning lists with duplicate TaskSummary's
The /rest/query/task operation is returning lists with duplicate TaskSummary's
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
medium Severity high
: ER5
: 6.2.0
Assigned To: Shelly McGowan
Tomas Livora
:
: 1265928 (view as bug list)
Depends On: 1272981
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-23 10:41 EDT by Marco Rietveld
Modified: 2016-09-20 01:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marco Rietveld 2015-09-23 10:41:03 EDT
Description of problem:

Certain queries to the /rest/query/task (synonym for the /rest/task/query operation) return a list of TaskSummary instances that contain duplicate TaskSummary's. 

How reproducible:

Always

Steps to Reproduce:
1. Do the above REST operation, in particular with criteria that do not involve the user (process instance id, for example) on a task that references other users or groups besides the user doing the REST operation. 
2. Examine the results. 

Actual results:

Duplicate task summaries. 

Expected results:

Unique task summaries per task id. 


Additional info:
Comment 1 Marco Rietveld 2015-09-23 10:41:35 EDT
This test case happens to be in one of our smoke tests.
Comment 3 Tomas Livora 2015-09-25 03:24:23 EDT
*** Bug 1265928 has been marked as a duplicate of this bug. ***
Comment 4 Tomas Livora 2015-09-25 03:28:59 EDT
Marco, I have noticed this behavior also when querying tasks through SOAP. Can you confirm that it is fixed in both REST and SOAP? I can see that your commit changes some common class that is not directly related to REST interface but I just want to be sure you are aware of the problem being present also in SOAP interface.
Comment 5 Tomas Livora 2015-10-01 03:17:56 EDT
I have noticed another strange behavior when getting tasks this way. When I run a process with a single human task with three actors (mary,john,ibek) and I try to get tasks logged in as ibek, I get this task twice in the result. However, when I am logged in as mary, I get it six times.
Comment 6 Tomas Livora 2015-10-19 07:50:21 EDT
I cannot verify this unless bug 1272981 is fixed.
Comment 7 Tomas Livora 2015-11-04 08:32:26 EST
The tests that were affected by this bug has passed using both REST and SOAP interface.

Verified on BPMS 6.2.0 ER5

Note You need to log in before you can comment on or make changes to this bug.